data:
  # The data provider which should be used
  provider: UJIndoorLocFullProvider
  # File name of floor plan img
  floor_plan_img: <test>.jpg
  # (train, val, test) test=0.2 => 5 fold  # The number of temporal epochs into which the dataset is split
  split_ratio: [0.7, 0.1, 0.2]

#
# are used when not locally set for pipeline
#

global_params:

  # number of experiment repetitions
  repetitions: 1

  preprocessing:
    # Whether to standardize the RSS values
    standardize: True
    # Whether to assign labels with no matching area to closet area
    assign_closest: False
    # The floor number of the Lohan dataset, which should be used
    #floor: 0
    # The epoch number of the split dataset
    #num_epochs: 10
    #epoch: 5
    # How to check for area matches of labels (to label positions with matching areas)
    area_assignment: convex_hull
    grid_size: 40

  floor_plan:
      # 'segmentation' => computes floor plan segmentation,
      #  'regression' => uses DBSCAN to partitions labels into train, test split
      type: floor_classification

  model_params:
    type: GRID_OVERLAP-BBOX_CNN # (DNN, CNN, kNN, SVM) supported (require different parameters)
    lr: 0.7
    batch_size: 32
    epochs: 10
    dropout: 0.5
    regularization_penalty: 0.0

pipelines:

  - name: DNN-DLB
    model_params:
      type: GRID_OVERLAP-BBOX # (DNN, CNN, kNN, SVM) supported (require different parameters)
      first_neuron: 512
      hidden_layers: 1
      augmentation: 0

      loss:
        grid:
          scale: 20.0
        outside:
          scale: 1.0
          delta: 7.5

# base directories for file storage
output:
    model_dir: evaluation/uji/gpu/full_grid/output/
    summary_dir: evaluation/uji/gpu/full_grid/summary/
    img_folder: evaluation/uji/ # folder where floorplan images is located (if not present, will be downloaded)
